// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.2 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/ClientServerMultiplePartitionWriteLoaderException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:20:25
//
// Module  :  ClientServerMultiplePartitionWriteLoaderException.java
//
// Source File Description: 
//
//    Thrown when the Client/Server loader detects that user is trying to
//    write to more than 1 replication group member (a specific Map Set, 
//    Partition Set and Replication Set member).
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// d329981      WASX.XD   12/15/2005   pdykes    new code drop
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid;

/**
 * This exception is a base exception for Client/Server operations when a user 
 * attempts to write to multiple remote partitions on remote servers in the 
 * same transaction.
 * 
 * @since WAS XD 6.0.1
 */
public class ClientServerMultiplePartitionWriteLoaderException extends ClientServerLoaderException {

    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = -5241472187667771796L;

    /**
     * Constructs a new ClientServerMultiplePartitionWriteLoaderException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     * 
     * @see #initCause(Throwable)
     */
    public ClientServerMultiplePartitionWriteLoaderException() {
        super();
    }

    /**
     * Constructs a new ClientServerMultiplePartitionWriteLoaderException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     * 
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     * 
     * @see #initCause(Throwable)
     * @see #getMessage() 
     */
    public ClientServerMultiplePartitionWriteLoaderException(String message) {
        super(message);
    }

    /**
     * Constructs a new ClientServerMultiplePartitionWriteLoaderException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this ClientServerMultiplePartitionWriteLoaderException's detail
     * message.
     * 
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     * 
     * @see #getCause()
     * @see #getMessage() 
     */
    public ClientServerMultiplePartitionWriteLoaderException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new ClientServerMultiplePartitionWriteLoaderException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code> 
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for ClientServerMultiplePartitionWriteLoaderExceptions that are little more
     * than wrappers for other throwables.
     * 
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause 
     *        is nonexistent or is unknown.
     * 
     * @see #getCause()
     */
    public ClientServerMultiplePartitionWriteLoaderException(Throwable cause) {
        super(cause);
    }
}
