// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  : IncompatibleDeploymentPolicyException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// feature       XD61     Dec 12, 2006       haowang   Created
// ------------ --------- ------------ --------- -----------------------------------------

/**
 * 
 */
package com.ibm.websphere.objectgrid;

/**
 * This exception will occur if information in the DeploymentPolicy XML file is
 * not compatible with the ObjectGrid XML file.
 * 
 * @since WAS XD 6.1
 */
public class IncompatibleDeploymentPolicyException extends ObjectGridRuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5493411051465562324L;

	/**
     * Constructs a new IncompatibleDeploymentPolicyException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     * 
     * @see #initCause(Throwable)
     */
	public IncompatibleDeploymentPolicyException() {
		super();		
	}

	/**
     * Constructs a new IncompatibleDeploymentPolicyException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     * 
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     * 
     * @see #initCause(Throwable)
     * @see #getMessage() 
     */
	public IncompatibleDeploymentPolicyException(String message) {
		super(message);		
	}

	/**
     * Constructs a new IncompatibleDeploymentPolicyException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code> 
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for IncompatibleDeploymentPolicyException that are little more
     * than wrappers for other throwables.
     * 
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause 
     *        is nonexistent or is unknown.
     * 
     * @see #getCause()
     */
	public IncompatibleDeploymentPolicyException(Throwable cause) {
		super(cause);		
	}

	  /**
     * Constructs a new IncompatibleDeploymentPolicyException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this IncompatibleDeploymentPolicyException detail
     * message.
     * 
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     * 
     * @see #getCause()
     * @see #getMessage() 
     */
	public IncompatibleDeploymentPolicyException(String message, Throwable cause) {
		super(message, cause);		
	}
	

}
