// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.3 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/adapter/WebSpherePMAdapter.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:20:03
//
// Module  :  WebSpherePMAdapter.java
//
// Source File Description: 
//
//    This is used by PM Adapter code
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// d286312       WASX.XD  06/28/2005   rajeshk    Implemented by CacheSessionImpl
//----------------------------------------------------------------------------------------


package com.ibm.websphere.objectgrid.adapter;

import com.ibm.websphere.objectgrid.ObjectGrid;
import com.ibm.websphere.objectgrid.ObjectMap;

/**
 * This interface is used by J2EE applications, in particular CMP 2.x applications.
 * It allows access to an ObjectMap instance, especially to those CMP beans which use
 * ObjectGrid as their external cache.
 * 
 * Usage:
 * PMCacheOperation op = InitialContext.lookup(PMCacheOperation.JNDI_NAME);
 * WebSpherePMAdapter adapter = (WebSpherePMAdapter)op.getCacheTransaction("app_name",readOnly);
 * ObjectMap objectMap=adapter.getMap("map_name");
 *
 * @see ObjectMap
 * @see ObjectGrid
 *
 * @since WAS XD 6.0.1
 */
public interface WebSpherePMAdapter {
    
    /**
     * Retrieves an ObjectMap for transactional access to a ObjectGrid map.
     * 
     * @param name the name of the map as defined in the configuration. Mostly it is
     *             moduleName#BeanName
     * 
     * @return an ObjectMap instance or null if map with the specified name is not defined.
     */
    public ObjectMap getMap(String name);
}
