// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2012
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  ContinuousQueryException.java
//
// Source File Description:
//
// See javadoc for class.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.continuousquery.exception;

import com.ibm.websphere.objectgrid.ObjectGridException;
import com.ibm.ws.xs.NLSConstants;
import com.ibm.ws.xs.util.Messages;

/**
 * Represents a general class of failures which can occur during Continuous Query processing.
 * 
 * @since 8.6
 */
public class ContinuousQueryException extends ObjectGridException {

    private static final long serialVersionUID = 1522389860699191945L;

    /**
     * Build an exception that signals a problem when retrieving a value for
     * comparison from an object. 
     *  
     * @param messageCode a message constant that is defined in {@link NLSConstants}
     * @param args arguments for the corresponding message
     */
    public ContinuousQueryException(String messageCode, Object... args) {
        super(Messages.getMsg(messageCode, args));
    }

    /**
     * Build an exception that signals a problem when retrieving a value for
     * comparison from an object. 
     *  
     * @param cause the cause of the exception
     * @param messageCode a message constant that is defined in {@link NLSConstants}
     * @param args arguments for the corresponding message
     */
    public ContinuousQueryException(Throwable cause, String messageCode, Object... args) {
        super(Messages.getMsg(messageCode, args), cause);
    }

}
