// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2012
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  ContinuousQueryIncompatibleDuplicateException.java
//
// Source File Description:
//
// See javadoc for class.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.continuousquery.exception;

import com.ibm.websphere.objectgrid.continuousquery.ContinuousQueryFilter;
import com.ibm.ws.xs.NLSConstants;

/**
 * A ContinuousQueryIncompatibleDuplicateException is thrown when the
 * continuous query being defined has the same generated name as an existing
 * query defined on the map, but the filter chains differ.
 * 
 * @since 8.6
 */
public class ContinuousQueryIncompatibleDuplicateException extends ContinuousQueryException {

    private static final long serialVersionUID = -4943060813631140275L;

    public ContinuousQueryIncompatibleDuplicateException(String mapName, String topicName, 
            ContinuousQueryFilter existingFilter, ContinuousQueryFilter newFilter) {
        
        super(NLSConstants.INCOMPATIBLE_DUPLICATE_QUERY_CWOBJ7758, new Object[]{mapName, topicName, existingFilter, newFilter});
    }

}
