// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  EntityExistsException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b1593        6.1       07/27/2006   cdjohnson M4 feature additions
// ---------------------------------------------------------------------------------------
package com.ibm.websphere.objectgrid.em;

/**
 * Thrown when an entity can't be persisted because it would result in a
 * duplicate key violation.  This exception may be thrown when an entity
 * is persisted or when the entity data is flushed to the ObjectGrid.  The current transaction
 * (if active) will be marked for rollback
 * @since WAS XD 6.1
 */
public class EntityExistsException extends PersistenceException {

    private static final long serialVersionUID = 4268853625168328568L;

    /**
     * @see PersistenceException#PersistenceException()
     */
    public EntityExistsException() {
		super();
	}

    /**
     * @see PersistenceException#PersistenceException(String)
     */
	public EntityExistsException(String message) {
		super(message);
	}

    /**
     * @see PersistenceException#PersistenceException(String, Throwable)
     */
	public EntityExistsException(String message, Throwable cause) {
		super(message, cause);
	}

    /**
     * @see PersistenceException#PersistenceException(Throwable)
     */
	public EntityExistsException(Throwable cause) {
		super(cause);
	}

}
