// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  NoResultException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b1593        6.1       07/27/2006   cdjohnson M4 feature additions
// ---------------------------------------------------------------------------------------
package com.ibm.websphere.objectgrid.em;

/**
 * Thrown when <code>Query.getSingleResult()</code> is invoked and
 * there is no result to return.  This exception will
 * not cause the current transaction (if active) to be marked for rollback.
 * @see com.ibm.websphere.objectgrid.em.Query#getSingleResult()
 * @since WAS XD 6.1
 */
public class NoResultException extends PersistenceException {

    private static final long serialVersionUID = 6034156859247028729L;

    /**
     * @see PersistenceException#PersistenceException()
     */
    public NoResultException() {
        super();
    }

    /**
     * @see PersistenceException#PersistenceException(String)
     */
    public NoResultException(String message) {
        super(message);
    }

    /**
     * @see PersistenceException#PersistenceException(String, Throwable)
     */
    public NoResultException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @see PersistenceException#PersistenceException(Throwable)
     */
    public NoResultException(Throwable cause) {
        super(cause);
    }
}
