// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.4 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/management/ServerMBean.java, WAS.objectgrid, WASX.XD, b0614.107 2/17/06 20:14:07
//
// Module  :  ServerMBean.java
//
// Source File Description:
//
// Interface for the MBean operations and attributes related to Servers
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// d327475      WASX.XD   Nov 29, 2005 joshuad     new code drop
// d329200      WASX.XD   12-6-05      joshuad   gateway enhancements
// d348005      WXD601.XD 02-16-2006   joshuad   get ServerStatsModule
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.management;

/**
 * This MBean interface allows a client process to access different attributes
 * about a specific server process.
 *
 * @since WAS XD 6.0.1, XC10
 */
public interface ServerMBean {

    /**
     * Gets the name of the server associated with this MBean.
     *
     * @return the server name
     */
    public String getServerName();

    /**
     * Stops the server associated with this MBean.
     *
     * @return <code>true</code> if server was stopped,
     *         <code>false</code> if not
     */
    public boolean stopServer();

    /**
     * Modifies the trace spec for the server associated with this
     * MBean.
     *
     * @param spec new trace specification
     *
     * @deprecated This is deprecated in version 7.1.  See {@link DynamicServerMBean#setTraceSpec(String)}
     */
    public void modifyServerTraceSpec(String spec);
}
