// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
//
// Module  :  EventListener.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins;

import com.ibm.websphere.objectgrid.BackingMap;
import com.ibm.websphere.objectgrid.ObjectGrid;

/**
 * The EventListener interface is the base interface used to indicate
 * that an implementing class can accept certain <code>ObjectGrid</code> or
 * <code>BackingMap</code> events.
 *
 * For historical reasons, this interface does not provide any methods.
 * Instead, the sub-interfaces provide methods used by <code>ObjectGrid</code>
 * or <code>BackingMap</code> implementations to handle events. Your plug-in
 * object should implement one of the sub-interfaces.
 *
 * @see BackingMapLifecycleListener
 * @see MapEventListener
 * @see ObjectGridEventListener
 * @see ObjectGridLifecycleListener
 *
 * @see BackingMap#addMapEventListener(EventListener)
 * @see ObjectGrid#addEventListener(EventListener)
 * @since 7.1.1
 *
 */
public interface EventListener {

}
