/**
 *
 */
package com.ibm.websphere.objectgrid.revision;

import com.ibm.websphere.objectgrid.OutputFormat;
import com.ibm.websphere.objectgrid.plugins.io.dataobject.SerializedValue;

/**
 * Describes the unique elements of a revision entry.
 *
 * @author dcberg
 * @since 7.1
 */
public interface RevisionElement {
    /**
     * The name of the domain that this revision was modified in.
     *
     * @return The name of the domain.
     */
    public String getDomainName();

    /**
     * The value for this specific revision of the entry. If the map is configured to use
     * {@link OutputFormat#NATIVE}, calling this method will serialize the value into object form.
     *
     * If the map is configured to use {@link OutputFormat#RAW}, the value object returned will be
     * a {@link SerializedValue} object.
     * If required, you can use the {@link SerializedValue#getObject()} method to inflate the
     * bytes to the value object.
     *
     * @return The data value or {@link SerializedValue} object as described.
     */
    public Object getValue();
}
