// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2007
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  ObjectGridTransactionException.java
//
// Source File Description:
//
//      See javadoc for this class.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b9449        6.1       08/24/2007   bnewport  new code drop
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.spring;

/**
 * The ObjectGrid platform transaction manager can throw this unchecked exception whenever errors occur.
 *
 * @since WAS XD 6.1 FIX3, XC10
 */
public class ObjectGridTransactionException extends org.springframework.transaction.TransactionException {

    private static final long serialVersionUID = -8262184189912992082L;

    /**
     * Constructs a new ObjectGridTransactionException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this ObjectGridTransactionException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A <code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public ObjectGridTransactionException(String message, Throwable cause) {
		super(message, cause);
	}

    /**
     * Constructs a new ObjectGridTransactionException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
	public ObjectGridTransactionException(String message) {
		super(message);
	}


}
