// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.1 XD/ws/code/objectgrid.core/src/com/ibm/websphere/objectgrid/stats/StatsAccessorFactory.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 18:54:39
//
// Module  :  StatsFactory.java
//
// Source File Description: 
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// d346485      WXD601.XD 02/10/2006   jitang    House cleaning for stats
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.stats;

import com.ibm.ws.objectgrid.stats.StatsAccessorImpl;

/**
 * This class is a factory for <code>StatsAccessor</code> objects. Users 
 * can call the <code>getStatsAccessor()</code> method to retrieve a singleton
 * instance of StatsAccessor.
 * 
 * @since WAS XD 6.0.1 
 * 
 * @see StatsAccessor
 */
public class StatsAccessorFactory {

    private static final StatsAccessorImpl singleton = new StatsAccessorImpl();

    /**
     * Gets a StatsAccessor instance.
     * 
     * @return a StatsAccessor instance
     */
    public static StatsAccessor getStatsAccessor() {
        return singleton;
    }
}


