// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.1 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/stats/StatsFact.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 18:08:09
//
// Module  :  StatsFact.java
//
// Source File Description: 
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD60_M3_B.9  WASX.XD   04/14/2005   jitang    ObjectGrid - Metric enablement - Drop 1
// d346485      WXD601.XD 02/10/2006   jitang    House cleaning for stats
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.stats;

import java.io.Serializable;

/**
 * A StatsFact interface represents an Object which contains a 
 * StatsModule. A StatsFact represents a node in the 
 * statistics tree structure. It could be a group (non-leaf) or 
 * an instance (leaf).
 * <p>
 * For example, a StatsFact could contain a MapStatsModule, which represents 
 * the map statistics. If the StatsFact is in a map level, it represents 
 * map statistics of that map. If the StatsFact is in an ObjectGrid level,
 * it represents map statistics of all maps belonging to that ObjectGrid.
 * 
 * @since WAS XD 6.0.1
 */
public interface StatsFact extends Serializable {

    /**
     * Returns the name of the StatsFact instance
     * 
     * @return instance name
     */
    public String getName();

    /**
     * Gets the StatsModule object associated with this StatsFact instance.
     * 
     * @return the StatsModule object
     */
    StatsModule getStatsModule();

    /**
     * Returns a string representation of all the statistics.
     * 
     * @return a string which contains all the statistics
     */
    String statsToString();
}

