// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Source File Description:
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b14431       WASX.XD   12/04/2008   jian.tang Write-behind map FailedUpdateElement support
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.writebehind;

import com.ibm.websphere.objectgrid.plugins.LogElement;

/**
 * A FailedUpdateElement object represents a LogElement which failed to be updated to the loader
 * in a write-behind update operation.
 * <p>
 * A FailedUpdateElement contains the <tt>Throwable</tt> object which indicates why the write-behind update failed.
 *
 * @since WAS 6.1.0.4 FIX4
 */
public interface FailedUpdateElement extends LogElement {

    /**
     * Retrieve the Throwable object which indicates why the write-behind update failed.
     * @return the Throwable object which indicates why the write-behind update failed.
     */
    Throwable getThrowable();

}
