// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Source File Description: 
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// d11208       WASX.XD   03/04/2008   bnewport  Write-behind loader support
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.writebehind;

import com.ibm.websphere.objectgrid.plugins.LoaderException;

/**
 * This exception indicates a Loader is not available. 
 * 
 * @since WAS XD 6.1.0.3
 *
 */
public class LoaderNotAvailableException extends LoaderException {

    private static final long serialVersionUID = 1L;

    /**
     * Constructs a new LoaderNotAvailableException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     * 
     * @see #initCause(Throwable)
     */
    public LoaderNotAvailableException() {
        super();
    }

    /**
     * Constructs a new LoaderNotAvailableException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     * 
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     * 
     * @see #initCause(Throwable)
     * @see #getMessage() 
     */
    public LoaderNotAvailableException(String message) {
        super(message);
    }

    /**
     * Constructs a new LoaderNotAvailableException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this LoaderNotAvailableException's detail
     * message.
     * 
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     * 
     * @see #getCause()
     * @see #getMessage() 
     */
    public LoaderNotAvailableException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new LoaderNotAvailableException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code> 
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for LoaderNotAvailableExceptions that are little more
     * than wrappers for other throwables.
     * 
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause 
     *        is nonexistent or is unknown.
     * 
     * @see #getCause()
     */
    public LoaderNotAvailableException(Throwable cause) {
        super(cause);
    }

}
