// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  AccessType.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b2203        6.1       08/31/2006   cdjohnson M4 feature additions
// b2404        XD 6.1    09/20/2006   cdjohnson Feature updates for M6
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector.annotations;

/**
 * Overrides or explicitly defines the the method in which the persistence layer 
 * accesses the entity's persistent state.
 *
 * @since WAS XD 6.1
 */
public enum AccessType {
    /**
     * The persistent state of the entity object is accessed
     * using fields.
     */
    FIELD, 
    
    /**
     * The persistent state of the entity object is accessed
     * using methods.
     */
    PROPERTY, 
    
    /**
     * The persistent state of the entity object is determined by 
     * the placement of the entity's annotations.
     */
    DEFAULT
}
