// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  IdClass.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b995         6.1       05/22/2006   cdjohnson New part.
// b2404        XD 6.1    09/20/2006   cdjohnson Feature updates for M6
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * The IdClass annotation can be used to specify a composite primary key class that is mapped to multiple fields or 
 * properties of an entity.  The IdClass annotation is applied to an entity class or a mapped superclass.<p>
 * 
 * The names of the fields or properties in the primary key class and the primary key fields or properties of
 * the entity must correspond, and their types must be the same.<p>
 * 
 * The Id annotation must also be applied to the corresponding fields or properties of the entity.<p>
 * 
 * @since WAS XD 6.1
 */
@Target({ElementType.TYPE}) @Retention(RetentionPolicy.RUNTIME)
public @interface IdClass {
    /**
     * The name of the class that represents a composite of the keys in the entity.
     * @return the composite key class.
     */
	public Class value();
}
