// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006-2007
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  TupleAttribute.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b995         6.1       05/22/2006   cdjohnson New part.
// b1591        6.1       06/27/2006   cdjohnson M4 feature additions
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector.md;


/**
 * The metadata for a single basic attribute.  A TupleMetadata
 * can have zero or more uniquely named TupleAttributes.
 *
 * @since WAS XD 6.1
 */
public interface TupleAttribute
{
	/**
	 * The name of the attribute
	 * @return the attribute name
	 */
	String getName();

	/**
	 * The primitive type for the attribute
	 * @return the type of the attribute.
	 */
	Class getType();

//	/**
//	 * The default value or null is there is no default
//	 * @return
//	 */
//	Object getDefaultValue();

    /**
     * Get the position of this attribute in the tuple.
     * @return the position or -1 if this attribute has not yet been associated with a TupleMetadata
     */
    int getTuplePosition();

//    /**
//     * Get the custom properties for this TupleAttribute.
//     * @return the custom properties
//     */
//    Properties getProperties();
    
    /**
     * The alias of the attribute.
     * @return the alternative name for this attribute.
     */
    String getAlias();
    
    /**
     * If true, this attribute is used for versioning.
     * @return true if this attribute is identified as a version attribute
     */
    boolean isVersion();
}
